libclearbricks (0.8-22) unstable; urgency=low ; svnrev=165

  * SVN Revision 152 - olivier, on Mon, 30 Jun 2008 15:04:18 +0200
    New debian changelog

  * SVN Revision 153 - olivier, on Thu, 03 Jul 2008 21:12:19 +0200
    SQLite with PDO and SQLite 3 only.

  * SVN Revision 154 - olivier, on Fri, 11 Jul 2008 14:48:43 +0200
    Bug fix with TZ file load.

  * SVN Revision 155 - olivier, on Wed, 16 Jul 2008 15:55:11 +0200
    Minor performances tweaks.

  * SVN Revision 156 - olivier, on Wed, 16 Jul 2008 16:11:17 +0200
    Added getTypes() in urlHandler.

  * SVN Revision 157 - olivier, on Wed, 16 Jul 2008 18:11:01 +0200
    Added support for inline HTML in wiki2xhtml

  * SVN Revision 158 - olivier, on Wed, 16 Jul 2008 18:22:00 +0200
    Description error in wiki2xhtml

  * SVN Revision 159 - olivier, on Thu, 17 Jul 2008 12:51:08 +0200
    Added ?> in lib.crypt.php

  * SVN Revision 160 - olivier, on Thu, 17 Jul 2008 16:13:25 +0200
    Always force a new connection for mysql dblayer.

  * SVN Revision 161 - olivier, on Sun, 20 Jul 2008 16:41:36 +0200
    Added l10n::getTextDirection() method.

  * SVN Revision 162 - olivier, on Sun, 20 Jul 2008 18:35:31 +0200
    l10n::getISOcodes returns now native langue names.

  * SVN Revision 163 - olivier, on Mon, 21 Jul 2008 15:02:59 +0200
    Init content in htmlFilter::aply()

  * SVN Revision 164 - olivier, on Mon, 21 Jul 2008 15:16:15 +0200
    Basic scheme instead of BASIC.

  * SVN Revision 165 - olivier, on Wed, 30 Jul 2008 18:35:08 +0200
    Typo fix in filemanager.

 -- Olivier Meunier <olivier@clearbricks.org>  Wed, 06 Aug 2008 14:36:17 +0200

libclearbricks (0.8-21) unstable; urgency=low ; svnrev=151

  * SVN Revision 142 - olivier, on Tue, 13 May 2008 14:26:02 +0200
    New debian changelog

  * SVN Revision 143 - olivier, on Mon, 02 Jun 2008 14:45:13 +0200
    In imageTools::memoryAllocate, multiply by 8 instead of 5 

  * SVN Revision 144 - olivier, on Tue, 03 Jun 2008 14:57:26 +0200
    Fixed sorting bug in filemanager

  * SVN Revision 145 - olivier, on Wed, 04 Jun 2008 09:15:57 +0200
    Fixed a minor bug in imageTools when image size becomes zero.

  * SVN Revision 146 - olivier, on Fri, 06 Jun 2008 10:30:46 +0200
    "'" is a space in text::tidyURL

  * SVN Revision 147 - olivier, on Fri, 06 Jun 2008 10:54:59 +0200
    Added filemanager::getPwd() and filemanager::writable() methods.

  * SVN Revision 148 - olivier, on Fri, 06 Jun 2008 14:11:34 +0200
    Removed dead line in feedReader.

  * SVN Revision 149 - olivier, on Mon, 16 Jun 2008 09:25:37 +0200
    Changed longdesc by title in wiki2xhtml.

  * SVN Revision 150 - olivier, on Thu, 19 Jun 2008 17:50:31 +0200
    Added languages in lib.l10n.php

  * SVN Revision 151 - olivier, on Wed, 25 Jun 2008 18:04:43 +0200
    Fixed bugs in l10n and url.handler.

 -- Olivier Meunier <olivier@clearbricks.org>  Mon, 30 Jun 2008 15:03:33 +0200

libclearbricks (0.8-20) unstable; urgency=low ; svnrev=141

  * SVN Revision 121 - olivier, on Tue, 26 Feb 2008 10:20:48 +0100
    New debian changelog

  * SVN Revision 122 - olivier, on Wed, 27 Feb 2008 09:13:52 +0100
    Fixed seconds reading in fileUnzip

  * SVN Revision 124 - olivier, on Wed, 27 Feb 2008 11:22:23 +0100
    Added fileZip class

  * SVN Revision 126 - olivier, on Wed, 27 Feb 2008 14:03:43 +0100
    More memory for fileUnzip

  * SVN Revision 128 - olivier, on Sun, 02 Mar 2008 14:10:07 +0100
    Fixed time offset output for RFC822 dates.

  * SVN Revision 129 - olivier, on Sun, 02 Mar 2008 14:10:56 +0100
    Tweak in fileUnzip to handle directories in central.

  * SVN Revision 131 - olivier, on Fri, 21 Mar 2008 11:25:28 +0100
    Changed all chmod($file,fileperms(dirname($file))) calls with new files::inheritChmod() static method.
    Some minor fixes.

  * SVN Revision 132 - olivier, on Fri, 21 Mar 2008 11:26:33 +0100
    Added files::inheritChmod() calls in filemanager uploadFile() and uploadBits() methods.
    Closes #177.

  * SVN Revision 133 - olivier, on Fri, 04 Apr 2008 15:23:51 +0200
    Added translation support in l10n::getISOcodes()

  * SVN Revision 134 - olivier, on Fri, 04 Apr 2008 17:45:23 +0200
    Added template::blockExists(), template::valueExists() and template::tagExists() methods.

  * SVN Revision 135 - olivier, on Thu, 17 Apr 2008 17:54:27 +0200
    filemanager::exclude_list is now a regexp list and handles file upload.

  * SVN Revision 136 - olivier, on Fri, 18 Apr 2008 10:29:17 +0200
    Reverted to revision 134

  * SVN Revision 137 - olivier, on Fri, 18 Apr 2008 11:41:03 +0200
    Added fileManager::$exclude_pattern property. This works only for files.

  * SVN Revision 138 - pep, on Wed, 23 Apr 2008 02:10:08 +0200
    Should fix problems when sending mail (/r/n or /n header terminator)

  * SVN Revision 139 - olivier, on Wed, 23 Apr 2008 18:07:03 +0200
    memory_get_usage test.

  * SVN Revision 140 - olivier, on Thu, 24 Apr 2008 11:34:02 +0200
    Fix a bug in html::absoluteURLs()

  * SVN Revision 141 - olivier, on Wed, 07 May 2008 15:44:15 +0200
    Added X-Forwarded-For support in netHttp

 -- Olivier Meunier <olivier@clearbricks.org>  Tue, 13 May 2008 14:04:11 +0200

libclearbricks (0.8-18) unstable; urgency=low ; svnrev=120

  * SVN Revision 109 - olivier, on Tue, 19 Feb 2008 12:50:10 +0100
    New debian changelog

  * SVN Revision 110 - olivier, on Thu, 21 Feb 2008 01:23:59 +0100
    Fixed a bug and added getRootDir method in fileUnzip

  * SVN Revision 112 - olivier, on Thu, 21 Feb 2008 02:18:58 +0100
    Added isEmpty and hasFile methods in fileUnzip

  * SVN Revision 114 - olivier, on Thu, 21 Feb 2008 12:03:01 +0100
    Created text::deaccent and applied this method in text::str2URL and files::tidyFileName

  * SVN Revision 116 - olivier, on Thu, 21 Feb 2008 16:47:25 +0100
    Try to handle memory usage in imageTools.
    Add a grey background on alpha channel of PNG images for resize method.
    Destroy image resource in close method.

  * SVN Revision 118 - olivier, on Sat, 23 Feb 2008 19:16:15 +0100
    Fix with files::registerMimeTypes

  * SVN Revision 119 - olivier, on Mon, 25 Feb 2008 11:36:41 +0100
    fileUnzip - Added a better way to recognize directories and tries
    to increase memory limit if needed.

 -- Olivier Meunier <olivier@clearbricks.org>  Tue, 26 Feb 2008 10:19:58 +0100

libclearbricks (0.8-17) unstable; urgency=low ; svnrev=108

  * SVN Revision 108 - olivier, on Tue, 19 Feb 2008 10:25:56 +0100
    New debian changelog

 -- Olivier Meunier <olivier@clearbricks.org>  Tue, 19 Feb 2008 12:47:49 +0100

libclearbricks (0.8-14) unstable; urgency=low ; svnrev=107

  * SVN Revision 63 - mik, on Fri, 06 Jul 2007 13:19:43 +0200
    last version

  * SVN Revision 64 - olivier, on Fri, 13 Jul 2007 12:07:00 +0200
    May have fixed some bugs in UDBS synchronize process.

  * SVN Revision 65 - olivier, on Thu, 26 Jul 2007 10:08:11 +0200
    HTML validator class

  * SVN Revision 66 - olivier, on Thu, 26 Jul 2007 10:17:29 +0200
    HTML validator documentation update

  * SVN Revision 67 - olivier, on Fri, 27 Jul 2007 16:36:30 +0200
    Fixed a serious bug with tidy in HTML Filter

  * SVN Revision 68 - olivier, on Fri, 27 Jul 2007 16:40:40 +0200
    Better way to fix tidy issue in HTML Filter

  * SVN Revision 69 - olivier, on Sat, 28 Jul 2007 10:32:28 +0200
    You can now add some patterns for html::absoluteURLHandler()

  * SVN Revision 70 - olivier, on Mon, 30 Jul 2007 11:22:32 +0200
    Try to read php://input if HTTP_RAW_POST_DATA is empty in net.xmlrpc.

  * SVN Revision 71 - olivier, on Tue, 21 Aug 2007 10:00:58 +0200
    Allow some specific index to exist in DB and Schema. Typo fixes in comments and messages.

  * SVN Revision 72 - biou, on Sun, 02 Sep 2007 11:58:16 +0200
    text::cutString now works in utf-8
    (possible problems with trackbacks)
    thx sasha for detecting the bug

  * SVN Revision 73 - olivier, on Thu, 20 Sep 2007 15:22:36 +0200
    Changed some properties scope

  * SVN Revision 76 - olivier, on Wed, 07 Nov 2007 15:06:38 +0100
    Fixed a bug with timezone offset in ISO8601 and RFC822 dates

  * SVN Revision 89 - olivier, on Sat, 01 Dec 2007 12:01:23 +0100
    Changed require by require_once in dbLayer::init

  * SVN Revision 92 - olivier, on Tue, 11 Dec 2007 22:53:56 +0100
    Fixed realIP() code.

  * SVN Revision 94 - biou, on Sat, 29 Dec 2007 11:41:47 +0100
    ability to register new mime types

  * SVN Revision 95 - biou, on Wed, 09 Jan 2008 11:10:26 +0100
    autoload upgraded to use spl_autoload_register (with backward compat)

  * SVN Revision 96 - olivier, on Tue, 15 Jan 2008 16:11:37 +0100
    Changed the way we sort items in filemanager

  * SVN Revision 98 - olivier, on Fri, 15 Feb 2008 15:43:35 +0100
    Added unzip class

  * SVN Revision 100 - olivier, on Fri, 15 Feb 2008 22:31:39 +0100
    Changed getFilesList() and added getDirsList() in fileUnzip class.

  * SVN Revision 101 - olivier, on Fri, 15 Feb 2008 22:50:25 +0100
    Don't append zip file basename to target in unzipAll (fileUnzip)

  * SVN Revision 102 - olivier, on Fri, 15 Feb 2008 23:12:12 +0100
    Moved exclude condition from unzipAll() to getList() in fileUnzip.

  * SVN Revision 103 - olivier, on Sat, 16 Feb 2008 00:40:16 +0100
    Removed files::makePackage and files::installPackage.

  * SVN Revision 104 - olivier, on Mon, 18 Feb 2008 14:00:42 +0100
    Fix in urlHandler class

  * SVN Revision 106 - olivier, on Mon, 18 Feb 2008 15:58:57 +0100
    Added cleanFileName() in fileUnzip class.

 -- Olivier Meunier <olivier@clearbricks.org>  Tue, 19 Feb 2008 10:24:09 +0100

libclearbricks (0.8-13) unstable; urgency=low ; svnrev=62

  * SVN Revision 61 - mik, on Mon, 02 Jul 2007 11:10:18 +0200
    last version changelog 

  * SVN Revision 62 - olivier, on Fri, 06 Jul 2007 13:14:27 +0200
    Fixed a bug in socketMail::getFrom()

 -- Olivier Meunier <olivier@clearbricks.org>  Fri, 06 Jul 2007 13:18:46 +0200

libclearbricks (0.8-12) unstable; urgency=low ; svnrev=60

  * SVN Revision 53 - pep, on Sun, 03 Jun 2007 12:31:25 +0200
    Changed the way we obtain current TZ

  * SVN Revision 54 - olivier, on Mon, 11 Jun 2007 10:46:06 +0200
    Changed default values in sessionDB constructor

  * SVN Revision 55 - pep, on Tue, 12 Jun 2007 19:51:21 +0200
    Fixed a bug

  * SVN Revision 56 - biou, on Wed, 13 Jun 2007 14:24:02 +0200
    permits file creation with putContent

  * SVN Revision 57 - biou, on Thu, 21 Jun 2007 17:15:06 +0200
    added a consistency check on the moveFile method

  * SVN Revision 58 - olivier, on Thu, 28 Jun 2007 16:03:35 +0200
    Added video/x-flv in lib.files

  * SVN Revision 59 - olivier, on Mon, 02 Jul 2007 10:29:10 +0200
    Fixed bugs in socketMail::getFrom

  * SVN Revision 60 - mik, on Mon, 02 Jul 2007 11:07:16 +0200
    export LANG=C before svn commands

 -- Olivier Meunier <olivier@clearbricks.org>  Mon, 02 Jul 2007 11:09:40 +0200

libclearbricks (0.8-11) unstable; urgency=low ; svnrev=52

  * SVN Revision 36 - olivier, on Thu, 15 Feb 2007 19:02:26 +0100
    Fixed redirect bug in netHttp

  * SVN Revision 37 - olivier, on Sun, 18 Feb 2007 18:08:32 +0100
    Added default timezone in common/_main.php

  * SVN Revision 38 - olivier, on Sun, 18 Feb 2007 18:17:22 +0100
    Changed template::getData() code.

  * SVN Revision 39 - olivier, on Sun, 18 Feb 2007 22:20:26 +0100
    template::getData() optim.

  * SVN Revision 40 - olivier, on Mon, 19 Feb 2007 11:02:48 +0100
    Added strict_check mode in xmlrpcServer. Default to false.

  * SVN Revision 41 - olivier, on Mon, 19 Feb 2007 11:24:51 +0100
    Removed l10n::getHtmlFile() and added l10n::getFilePath().

  * SVN Revision 42 - olivier, on Fri, 23 Feb 2007 14:00:39 +0100
    Fixed a bug with starting dot lines in nntp class.

  * SVN Revision 43 - pep, on Fri, 23 Feb 2007 16:43:40 +0100
    Small fix : seems better ...

  * SVN Revision 44 - olivier, on Mon, 26 Feb 2007 14:35:56 +0100
    Forgot 'class' attribute for 'a' tag.

  * SVN Revision 45 - pep, on Wed, 28 Feb 2007 02:50:48 +0100
    Shouldn't inflate incoming content when use_gzip = false

  * SVN Revision 46 - olivier, on Wed, 21 Mar 2007 16:33:28 +0100
     * New dbSchema classes collection.
     * Removed getTables() and getColumns() method from dbLayer().
     * Added a database() method in dbLayer returning current database in use.

  * SVN Revision 47 - olivier, on Wed, 21 Mar 2007 23:58:02 +0100
    Returns changes count in dbStruct::synchronize().

  * SVN Revision 48 - olivier, on Fri, 30 Mar 2007 17:30:22 +0200
    Added a static property (https_scheme_on_443) to force https scheme if port is 443
    in http::getHost().

  * SVN Revision 49 - olivier, on Mon, 02 Apr 2007 13:35:06 +0200
    added http::browserUID.

  * SVN Revision 50 - olivier, on Mon, 02 Apr 2007 14:52:44 +0200
    Allow secure session cookies

  * SVN Revision 51 - olivier, on Mon, 02 Apr 2007 14:57:20 +0200
    Added cookie_domain for session

  * SVN Revision 52 - olivier, on Tue, 17 Apr 2007 17:53:44 +0200
    Signature fix in mail.convert

 -- Olivier Meunier <olivier@clearbricks.org>  Thu, 19 Apr 2007 16:06:54 +0200

libclearbricks (0.8-10) unstable; urgency=low ; svnrev=35

  * SVN Revision 33 - mik, on Thu, 01 Feb 2007 18:39:56 +0100
    Romuald:gruik pour display de la date en fonction de la timezone

  * SVN Revision 34 - olivier, on Mon, 05 Feb 2007 11:05:25 +0100
    Timezone display in dt::str and dt::dt2str

  * SVN Revision 35 - olivier, on Mon, 05 Feb 2007 16:22:59 +0100
    net.xmlrpc

 -- Olivier Meunier <olivier@clearbricks.org>  Mon, 05 Feb 2007 17:50:20 +0100

libclearbricks (0.8-9) unstable; urgency=low ; svnrev=32

  * SVN Revision 30 - olivier, on Thu, 25 Jan 2007 16:53:01 +0100
    Implemented status_string in netHttp

  * SVN Revision 31 - olivier, on Wed, 31 Jan 2007 13:53:10 +0100
    NEWNEWS implementation in netNntp::getNewArticles().

  * SVN Revision 32 - olivier, on Wed, 31 Jan 2007 19:32:05 +0100
    Fix in net.nntp

 -- Olivier Meunier <olivier@clearbricks.org>  Wed, 31 Jan 2007 19:36:08 +0100

libclearbricks (0.8-8) unstable; urgency=low ; svnrev=29

  * SVN Revision 28 - olivier, on Thu, 25 Jan 2007 10:31:20 +0100
    Can now specify a port for postgresql connection.

  * SVN Revision 29 - olivier, on Thu, 25 Jan 2007 14:47:15 +0100
    Fix in text::QPEncode() static method

 -- Olivier Meunier <olivier@clearbricks.org>  Thu, 25 Jan 2007 15:31:25 +0100

libclearbricks (0.8-7) unstable; urgency=low ; svnrev=27

  * SVN Revision 26 - olivier, on Wed, 17 Jan 2007 16:57:51 +0100
    Chmod on feed cache file

  * SVN Revision 27 - olivier, on Wed, 17 Jan 2007 16:58:09 +0100
    Chmod on template cache file

 -- Olivier Meunier <olivier@clearbricks.org>  Wed, 17 Jan 2007 16:59:11 +0100

libclearbricks (0.8-6) unstable; urgency=low ; svnrev=25

  * SVN Revision 25 - olivier, on Wed, 17 Jan 2007 16:22:49 +0100
    Fixed chmod bug.

 -- Olivier Meunier <olivier@clearbricks.org>  Wed, 17 Jan 2007 16:23:25 +0100

libclearbricks (0.8-5) unstable; urgency=low ; svnrev=24

  * SVN Revision 24 - olivier, on Tue, 16 Jan 2007 16:13:10 +0100
    New debian changelog

 -- Olivier Meunier <olivier@clearbricks.org>  Wed, 17 Jan 2007 14:26:32 +0100

libclearbricks (0.8-4) unstable; urgency=low ; svnrev=23

  * SVN Revision 18 - mik, on Fri, 12 Jan 2007 13:33:59 +0100
      libclearbricks' readme in the package

  * SVN Revision 19 - mik, on Fri, 12 Jan 2007 13:36:13 +0100
      empty so removed

  * SVN Revision 20 - mik, on Mon, 15 Jan 2007 18:24:05 +0100
      README file copied in debian dir

  * SVN Revision 21 - olivier, on Tue, 16 Jan 2007 15:17:05 +0100
    Test .svn dir before mkdcl.php launch

  * SVN Revision 22 - olivier, on Tue, 16 Jan 2007 15:48:04 +0100
    Fix in files::touch() method

  * SVN Revision 23 - olivier, on Tue, 16 Jan 2007 16:12:02 +0100
    Zend hash del key or index fix.

 -- Olivier Meunier <olivier@clearbricks.org>  Tue, 16 Jan 2007 16:12:50 +0100

libclearbricks (0.8-3) unstable; urgency=low ; svnrev=17

  * SVN Revision 13 - olivier, on Wed, 10 Jan 2007 00:51:10 +0100
    Makefile and Debian package for clearbricks

  * SVN Revision 14 - olivier, on Wed, 10 Jan 2007 16:27:08 +0100
    Clearbricks Debian packager

  * SVN Revision 15 - olivier, on Thu, 11 Jan 2007 14:44:42 +0100
    Test if database functions exist on dblayer driver load.

  * SVN Revision 16 - olivier, on Fri, 12 Jan 2007 01:30:36 +0100
    Fixed Windows bug in files::makeDir.

  * SVN Revision 17 - olivier, on Fri, 12 Jan 2007 01:57:56 +0100
    Fixed an issue with recursive files::makeDir and open_basedir.

 -- Olivier Meunier <olivier@clearbricks.org>  Fri, 12 Jan 2007 13:34:21 +0100

libclearbricks (0.8-2) unstable; urgency=low ; svnrev=12

  * SVN Revision 10 - olivier, on Tue, 09 Jan 2007 13:53:03 +0100
    Added default HTTP Status Messages in http::head()

  * SVN Revision 11 - olivier, on Tue, 09 Jan 2007 16:46:09 +0100
    Added clearbricks version number.

  * SVN Revision 12 - olivier, on Wed, 10 Jan 2007 00:17:53 +0100
    Fixed PHP 5.0 compatibilty issue \o/

 -- Olivier Meunier <olivier@clearbricks.org>  Wed, 10 Jan 2007 16:24:31 +0100

libclearbricks (0.8-1) unstable; urgency=low ; svnrev=9

  First upstream release

 -- Olivier Meunier <olivier@clearbricks.org>  Tue, 09 Jan 2007 16:50:12 +0100

